//Added Pop up to ask if 3 phase converter is turned on.
#include "KMotionDef.h"
#define TMP 10 // which spare persist to use to transfer data
#include "KflopToKMotionCNCFunctions.c"
#include "MySpindleDefs.h"

main()
{
    int Answer=IDYES; // assume ok to turn on
    
    if (!ReadBit(48))// is the virtual bit not set indicating the Operator hasn't already answered yes? 
        Answer = MsgBox("Is 3phase Converter On?",MB_YESNO|MB_ICONEXCLAMATION);
    
    if (Answer == IDYES)
    {
        //printf("Answer is Yes\n");
        SetBit(48);  // set Virtual bit to not ask again
        ClearBit(148); //Spindle CCW bit
        Delay_sec(.2);
        SetBit(147); // turn on spindle clockwise
        persist.UserData[STATEVAR] = 1; // remember we are CW
    }
    else
    {
        //printf("Answer is No\n");
        SetBit(147); // turn off spindle clockwise
        SetBit(148); // turn off spindle counterclockwise

        // if running a Job and Spindle isn't to be turned on Halt the Job
        if (JOB_ACTIVE)
            DoPC(PC_COMM_HALT);
    }        
}